package com.sun.xml.internal.fastinfoset.tools;

import org.w3c.dom.Document;
import javax.xml.parsers.DocumentBuilder;
import com.sun.xml.internal.fastinfoset.dom.DOMDocumentSerializer;
import javax.xml.parsers.DocumentBuilderFactory;
import java.io.OutputStream;
import java.io.InputStream;

public class XML_DOM_FI extends TransformInputOutput
{
    public XML_DOM_FI() {
    }
    
    @Override
    public void parse(InputStream document, OutputStream finf, String workingDirectory) throws Exception {
        DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
        dbf.setNamespaceAware(true);
        DocumentBuilder db = dbf.newDocumentBuilder();
        if (workingDirectory != null) {
            db.setEntityResolver(TransformInputOutput.createRelativePathResolver(workingDirectory));
        }
        Document d = db.parse(document);
        DOMDocumentSerializer s = new DOMDocumentSerializer();
        s.setOutputStream(finf);
        s.serialize(d);
    }
    
    @Override
    public void parse(InputStream document, OutputStream finf) throws Exception {
        this.parse(document, finf, null);
    }
    
    public static void main(String[] args) throws Exception {
        XML_DOM_FI p = new XML_DOM_FI();
        p.parse(args);
    }
}
